=== debian/changelog ===
netgen (6.2.2401+dfsg1-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:14:25 +0000

netgen (6.2.2401+dfsg1-1.1build2) noble; urgency=medium

  * No-change rebuild against libocct-data-exchange-7.6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 21:39:09 +0000

netgen (6.2.2401+dfsg1-1.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:19:55 +0100

netgen (6.2.2401+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063169

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:47:41 +0000

netgen (6.2.2401+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 12:44:18 +0100

netgen (6.2.2305+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * new upstream release in unstable. Closes: #1016430.
  * debian/tests: skip the MPI python test on i386 and armhf,
    where it is found to unreliably segfault
  * update debian patch size_t_int32.patch to define pyngcore.Array_I_S
    as Array_I_U on 32 bit systems where it is not defined by
    python_ngcore_export.cpp. Then tests do not require patching.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Nov 2023 13:36:54 +0100

netgen (6.2.2305+dfsg1-1exp6) experimental; urgency=medium

  * Team upload.
  * update debian/tests
    - cpp test Depends: netgen
      (needed since referenced by cmake config files)
    - python test Depends: gcc
      (needed to use dpkg-architecture without CC warning in stderr)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Nov 2023 09:03:36 +0100

netgen (6.2.2305+dfsg1-1exp5) experimental; urgency=medium

  * Team upload.
  * libnglib-dev Depends: pybind11-dev, since netgen was built with
    python support (NETGEN_PYTHON is set in core/register_archive.hpp).
  * libnglib-dev Recommends: python3-netgen, since cmake config files
    reference python extension module libngpy. Recommends not Depends,
    since libnglib-dev could be used without cmake.
  * debian/tests: split tests into cpp and python tests to allow
    skipping selected python tests (the same set from
    test_tutorials.py::test_geoFiles skipped in build tests)

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Nov 2023 20:26:52 +0100

netgen (6.2.2305+dfsg1-1exp4) experimental; urgency=medium

  * Team upload.
  * debian/tests Depends: mpi-default-dev
  * i386: skip build tests boxcyl.geo-mp10-4 hinge.stl-mp95-1 lense
    square
  * debian patch link_atomic.patch links libngcore.so with libatomic
    on systems where atomic symbols are not provided internally (some
    32-bit arches including armel, m68k, powerpc, sh4). Link as
    INTERFACE not PRIVATE (or PUBLIC) since libngcore.so itself does
    not use atomic symbols (they are used inline in core/utils.hpp).
    cf. https://github.com/google/highway/pull/1008 for the pattern.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Nov 2023 16:42:31 +0100

netgen (6.2.2305+dfsg1-1exp3) experimental; urgency=medium

  * Team upload.
  * provide all official (public) installed headers in libnglib-dev.
    Only provide private (libsrc) headers in netgen-headers, moved to
    /usr/share/netgen/libsrc. File a bug report if salome has fixed
    their build so we can drop netgen-headers (see Bug#683661).
  * update debian patch size_t_int32.patch to avoid "redefinition" of
    Array<size_t> in 32-bit python bindings. This means
    pyngcore.Array_I_S is not available on 32 bit systems
    (use Array_I_U instead).

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Nov 2023 19:53:47 +0100

netgen (6.2.2305+dfsg1-1exp2) experimental; urgency=medium

  * Team upload.
  * skip a subset of build tests on non-amd64 architectures
    From test_tutorials.py::test_geoFiles: skip a subset from
    boxcyl.geo, cylsphere.geo, hinge.stl, part1.stl, sculpture.geo,
    sphereincube.geo, twobricks.geo, twocubes.geo
    (see upstream Issue #167)
  * debian patch size_t_int32.patch skips definition of TablePrefixSum
    (FlatArray<size_t>) on 32-bit systems where size_t = unsigned int.
    (see upstream Issue #168)
  * fix renaming of python extension .so in cmake config file

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Nov 2023 13:23:20 +0100

netgen (6.2.2305+dfsg1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies or deprecates debian patches add-sse-guard.patch,
      fix-arm-pickling.patch, fix-occt-7.4.patch,
      fix-occt-7.6.0-ftbfs-*.patch, fix-pybind11-include.patch
    - configure pybind11 with PREFER_SYSTEM_PYBIND11=ON
    - fixes MPI initialisation. Closes: #910247.
  * update debian patch catch2_v3.patch to new catch test files
  * update debian/watch to uscan version 4
  * configure with BUILD_STUB_FILES=OFF. Stub files (which improve
    autocompletion) require pybind11-stubgen, which is not (yet)
    packaged for Debian.
  * add debian patches
    - fix_nggui_tcl.patch repairs TCL include path for the
      nggui (occ) target. cf. upstream Issue#166.
    - no_pytest_check.patch disables use of pytest_check, which is not
      (yet) packaged for Debian.
    - cmake_install_dir.patch uses GNUInstallDirs to set install dirs
      Closes: #1033129, #924300.
    - ffmpeg_link_libraries.patch links libnggui to FFMPEG_LIBRARIES
      cf. upstream issue #157. Closes: #751344.
  * update debian patch fix-version.patch to use MAJOR.MINOR soversion
    - set version using NETGEN_VERSION_GIT via debian changelog
    - provide NETGEN_VERSION_GIT in generate_version_file rule
  * build with CMAKE_SKIP_RPATH=ON
  * doc package includes ng4.pdf (v4 documentation)
    - register with doc-base
  * mark netgen-doc Multi-Arch: foreign
  * activate JPEG and MPEG (avcodec) support. Closes: #751344.
    - Build-Depends: libavformat-dev

